/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
/**
 *
 debugging macros for zram
*/

#ifndef ZRAM_DEBUG_H
#define ZRAM_DEBUG_H

#ifdef USE_DEBUG_PRINT
#include "error_message.h"
#else 
#define HERE "somehere. compile with debug-print for more"
#define ERR_MASK(j) 0
#define err_debug(f,m) /* */
#endif


#define DB_MEMORY ERR_MASK(1)

#define DB_ALL (~0)

/**
 * 
 define ERR_DEBUG_MASK to an convenient bitwise or of values
*/

#define ERR_DEBUG_MASK (0)


#endif
 
